<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("channe" . "ls" => base64_decode("Y2hhbm" . "5lbHM="), "_49c48a113fcc4b94b" . "82e29c74e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3" . "RyOmtleQ=="), "_c0f286e93ebdcaa427b44ec29" . "413392b" => base64_decode("ZmVlZ" . "F9rZX" . "k="), "_4cabd5d77" . "13c30b34f1" . "52bca7e16c" . "d6c" => base64_decode("bmV3c1" . "9mZWVk" . "cw=="), "ti" . "tl" . "e" => base64_decode("dGl0bG" . "U="), "_aa7e860da1acd4" . "e767e0df9d7d407" . "380" => base64_decode("ZGF0ZV9jcm" . "VhdGVk"), "_022eeb17" . "ad2461a77" . "2886fe0f5" . "575520" => base64_decode("Y3JlYX" . "Rvcg=="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_49c48a113fcc4b94b82e29c74e01e" . "7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4cabd5d7713c30b34f152bca7" . "e16cd6c"], $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["tit" . "le"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["ch" . "an" . "ne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c0f286e93ebdcaa427b44ec2" . "9413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_aa7e860da1acd4e767e0df9d7d4073" . "80"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_022eeb17ad2" . "461a772886fe" . "0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}